# swagger
<p><img src=\"https://service.fax-api.de/4.0/img/fax-api.png\" height=\"100\" title=\"title\" /></p>  # API Definition <p><img src=\"https://service.fax-api.de/4.0/img/open_api.png\" height=\"50\" title=\"title\" /></p>  Die <b>RESTful API</b> basiert auf den <b>OpenAPI v3.0.3</b> Spezifikationen. OpenAPI Spezifikationen (OAS) definieren eine standardisierte und programmiersprachenunabhängige Schnittstellenbeschreibung für RESTful APIs. Diese Schnittstelle ist nutzbar ohne dass der Zugang zum Quellcode, zusätzliche Dokumentation oder die Untersuchung des Netzwerk-Traffics erforderlich ist. Somit kann ein Nutzer den Dienst mit einem Minimum an Implementierungslogik verstehen, mit ihm interagieren und einfach und schnell als API-Schnittstelle in seine eigene Softwareanwendung integrieren..<br><br>Weitere Informationen zu OpenAPI finden sie hier: <a href=\"https://www.openapis.org/\"><b>https://www.openapis.org/</b></a>   # Einleitung  <p><img src=\"https://service.fax-api.de/4.0/img/fax-api-faxsuite_v2.png\" height=\"350\" title=\"title\" />  </p>  Mit unserer <b>Faxsuite</b> können Sie überall und zu jederzeit Faxe senden und empfangen. Neben vielen anderen Funktionalitäten bietet Ihnen unsere <b>Faxsuite</b> auch eine RESTFul API-Schnittstelle. Damit können Sie z. B. aus Ihrer eigenen Softwareanwendung Faxe automatisiert versenden. Zeitintensive und teure Investionen in Hardware und Software gehören der Vergangenheit an und sind nicht mehr notwendig..<br><br>Um den API Service nutzen zu können, müssen Sie sich für die <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a> anmelden. Ein kostenloser Testzugang kann <a href=\"https://www.faxverteiler.com/testzugang/\"><b>hier</b></a> beantragt werden. (<i>To use the API service you need to sign up for the <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a>. A free trial access can be requested <a href=\"https://www.faxverteiler.com/testzugang/\"><b>here</b></a></i>).<br><br>Mit der <b>Faxsuite</b> haben Sie die Kontrolle über Ihre Fax-Kampangen. Mit dem kostenlosen Testzugang können Sie alle Faxsuite Module (Fax-API, Mail2Fax, Faxdrucker, Faxmailing und Faxempfang) unverbindlich ausprobieren. Sie bekommen 10 kostenlose Faxseiten, die Sie zum aktiven Kennenlernen unserer Faxsuite nutzen können. (<i>You can test the <b>Faxsuite</b> modules for four weeks without obligation. You will receive 10 free fax pages with the free trial access</i>)<br><br>Nachdem Sie den Zugang beantragt haben, können Sie sich <a href=\"https://www.faxsuite.de/\"><b>hier</b></a> in die <b>Faxsuite</b> einloggen. Unter dem Menüpunkt 'FAX-API | Konto verwalten' können Sie ein neues Fax-API Konto erstellen. Bei der Erstellung des Fax-API Kontos wird automatisch ein Autorisierungs-Schlüssel generiert, welchen Sie für den Zugang zur API-Schnittstelle benötigen. (<i>After creating a login you can access the <b>Faxsuite</b> <a href=\"https://www.faxsuite.de/\"><b>here</b></a>. In the menu 'FAX-API | Konto verwalten' you can create a new API-Account and receive the related token/key you need to gain access to our API service</i>).<br><br>Die standardisierte API Dokumentation wird Ihnen in zwei unterschiedlichen, als nicht <b>interaktive</b> und <b>interaktive</b> Varinaten angeboten:  |Name|Type|Link| |-----|-----|-------| | <b>Redoc</b> | non interactive | <b><a href=\"https://service.fax-api.de/4.0/rest/index.html\">click here for redoc</a></b> | <b>Swagger UI</b> | interactive (self hosted) | <b><a href=\"https://service.fax-api.de/4.0/rest/swagger-ui/index.html\">click here for swagger</a></b> |  

This Dart package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 4.0.0
- Build package: io.swagger.codegen.v3.generators.dart.DartClientCodegen
For more information, please visit [https://www.fax-api.de/support/](https://www.fax-api.de/support/)

## Requirements

Dart 1.20.0 or later OR Flutter 0.0.20 or later

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: swagger
version: 1.0.0
description: Swagger API client
dependencies:
  swagger:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  swagger:
    path: /path/to/swagger
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:swagger/api.dart';
// TODO Configure API key authorization: ApiAuthKey
//swagger.api.Configuration.apiKey{'X-Auth-Token'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//swagger.api.Configuration.apiKeyPrefix{'X-Auth-Token'} = "Bearer";

var api_instance = new JobDetailsApi();
var id = id_example; // String | Identification number (UUID) of the job

try {
    var result = api_instance.getJob(id);
    print(result);
} catch (e) {
    print("Exception when calling JobDetailsApi->getJob: $e\n");
}
```

## Documentation for API Endpoints

All URIs are relative to *https://service.fax-api.de/4.0/rest*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*JobDetailsApi* | [**getJob**](docs//JobDetailsApi.md#getjob) | **GET** /jobs/{id} | /jobs/{id}
*JobDetailsApi* | [**getJobNotifications**](docs//JobDetailsApi.md#getjobnotifications) | **GET** /jobs/{id}/notifications | /jobs/{id}/notifications
*JobDetailsApi* | [**getJobPreviews**](docs//JobDetailsApi.md#getjobpreviews) | **GET** /jobs/{id}/preview | /jobs/{id}/preview
*JobDetailsApi* | [**getJobRecipients**](docs//JobDetailsApi.md#getjobrecipients) | **GET** /jobs/{id}/recipients | /jobs/{id}/recipients
*JobDetailsApi* | [**getJobTemplates**](docs//JobDetailsApi.md#getjobtemplates) | **GET** /jobs/{id}/templates | /jobs/{id}/templates
*JobDetailsApi* | [**putJob**](docs//JobDetailsApi.md#putjob) | **PUT** /jobs/{id} | /jobs/{id}
*JobsApi* | [**getJobs**](docs//JobsApi.md#getjobs) | **GET** /jobs | /jobs
*JobsApi* | [**postJob**](docs//JobsApi.md#postjob) | **POST** /jobs | /jobs
*RecipientsApi* | [**getRecipients**](docs//RecipientsApi.md#getrecipients) | **GET** /recipients | /recipients
*SystemApi* | [**getHealth**](docs//SystemApi.md#gethealth) | **GET** /health | /health

## Documentation For Models

 - [ErrorAuthenticationResponse](docs//ErrorAuthenticationResponse.md)
 - [ErrorBadRequestResponse](docs//ErrorBadRequestResponse.md)
 - [ErrorInternalServerResponse](docs//ErrorInternalServerResponse.md)
 - [ErrorNotFoundResponse](docs//ErrorNotFoundResponse.md)
 - [ErrorServiceNotAvailableResponse](docs//ErrorServiceNotAvailableResponse.md)
 - [ErrorToManyRequestsResponse](docs//ErrorToManyRequestsResponse.md)
 - [Health](docs//Health.md)
 - [InlineResponse201](docs//InlineResponse201.md)
 - [Job](docs//Job.md)
 - [JobInfo](docs//JobInfo.md)
 - [JobOptions](docs//JobOptions.md)
 - [JobPost](docs//JobPost.md)
 - [JobPostOptions](docs//JobPostOptions.md)
 - [JobPostRecipient](docs//JobPostRecipient.md)
 - [JobRecipient](docs//JobRecipient.md)
 - [JobRecipients](docs//JobRecipients.md)
 - [JobStatistics](docs//JobStatistics.md)
 - [Jobs](docs//Jobs.md)
 - [JobsIdBody](docs//JobsIdBody.md)
 - [Notification](docs//Notification.md)
 - [Notifications](docs//Notifications.md)
 - [Preview](docs//Preview.md)
 - [Recipient](docs//Recipient.md)
 - [RecipientJob](docs//RecipientJob.md)
 - [Recipients](docs//Recipients.md)
 - [Template](docs//Template.md)
 - [Templates](docs//Templates.md)

## Documentation For Authorization


## ApiAuthKey

- **Type**: API key
- **API key parameter name**: X-Auth-Token
- **Location**: HTTP header


## Author

support@fax-api.de
