part of swagger.api;



class JobsApi {
  final ApiClient apiClient;

  JobsApi([ApiClient apiClient]) : apiClient = apiClient ?? defaultApiClient;

  /// /jobs
  ///
  /// Description: Resource to obtain a list of fax jobs
  Future<Jobs> getJobs({ int objectLimit, int objectOffset, bool filterSameAccount, String filterTitle, String filterStatus, DateTime filterDateFrom, DateTime filterDateTo, DateTime filterDateUntilFrom, DateTime filterDateUntilTo, String filterCostCenter, String sortField, String sortOrder }) async {
    Object postBody = null;

    // verify required params are set

    // create path and map variables
    String path = "/jobs".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
    if(objectLimit != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "objectLimit", objectLimit));
    }
    if(objectOffset != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "objectOffset", objectOffset));
    }
    if(filterSameAccount != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterSameAccount", filterSameAccount));
    }
    if(filterTitle != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterTitle", filterTitle));
    }
    if(filterStatus != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterStatus", filterStatus));
    }
    if(filterDateFrom != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterDateFrom", filterDateFrom));
    }
    if(filterDateTo != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterDateTo", filterDateTo));
    }
    if(filterDateUntilFrom != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterDateUntilFrom", filterDateUntilFrom));
    }
    if(filterDateUntilTo != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterDateUntilTo", filterDateUntilTo));
    }
    if(filterCostCenter != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "filterCostCenter", filterCostCenter));
    }
    if(sortField != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "sortField", sortField));
    }
    if(sortOrder != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "sortOrder", sortOrder));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["ApiAuthKey"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
          apiClient.deserialize(response.body, 'Jobs') as Jobs ;
    } else {
      return null;
    }
  }
  /// /jobs
  ///
  /// Description: Resource to create a new fax job
  Future<InlineResponse201> postJob(JobPost body) async {
    Object postBody = body;

    // verify required params are set
    if(body == null) {
     throw new ApiException(400, "Missing required param: body");
    }

    // create path and map variables
    String path = "/jobs".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
    
    List<String> contentTypes = ["application/json"];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = ["ApiAuthKey"];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'POST',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return
          apiClient.deserialize(response.body, 'InlineResponse201') as InlineResponse201 ;
    } else {
      return null;
    }
  }
}
